=== debian/changelog ===
dspdfviewer (1.13.1-1) unstable; urgency=medium

  * Initial release (Closes: #794319)

 -- Danny Edel <mail@danny-edel.de>  Thu, 06 Aug 2015 13:52:02 +0200
