=== debian/control ===
Source: dspdfviewer
Section: text
Priority: optional
Maintainer: Danny Edel <mail@danny-edel.de>
Build-Depends: cmake,
               debhelper (>= 9.20120417),
               libboost-program-options-dev,
               libpoppler-qt4-dev
Standards-Version: 3.9.6
Vcs-Git: git://github.com/dannyedel/dspdfviewer.git
Vcs-Browser: https://github.com/dannyedel/dspdfviewer
Homepage: http://dspdfviewer.danny-edel.de

Package: dspdfviewer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: latex-beamer
Description: Dual-Screen PDF Viewer for LaTeX-beamer
 This is a specialized PDF Viewing application custom-made for
 the LaTeX class beamer, specifically the
 "show notes on second screen=right" option.
 .
 To make use of this program, you will need a document created
 by latex-beamer, and you will need two monitors connected to
 your computer.
 They do not need to have the same resolution, not even the same
 aspect ratio.
 .
 This program will split your PDF page in half, and display the
 left half (intended for the audience) on one monitor (think:
 a notebook's VGA output connected to your university's projector)
 and it will display the right half (intended for you) on the
 second screen.
 Also, on the second screen, you get page thumbnails and status
 information, like the time since you started the presentation
 and a "wall clock".

Package: dspdfviewer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: dspdfviewer (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for dspdfviewer
 dspdfviewer if a specialized PDF viewer for latex-beamer
 presentations using the "shot notes on second screen" feature.
 .
 This package contains the debugging symbols for dspdfviewer.
