=== debian/rules ===
#!/usr/bin/make -f


# provide debian version number to the build system
#
# Rationale: dspdfviewer --version embeds the information that this
# is from the debian package. This is useful when users go
# directly to the github-issue-tracker instead of using reportbug.

override_dh_auto_configure:
	dh_auto_configure -- -DDSPDFVIEWER_VERSION="$(shell dpkg-parsechangelog --show-field Version)"

# Also build a debug package
# See https://wiki.debian.org/DebugPackage for an explanation of the
# targets.

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=dspdfviewer-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/dspdfviewer

override_dh_installdocs:
	dh_installdocs --link-doc=dspdfviewer

%:
	dh $@
