=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: dspdfviewer
 Section: text
 Priority: optional
-Maintainer: Danny Edel <mail@danny-edel.de>
+Maintainer: Danny Edel <debian@danny-edel.de>
 Build-Depends: cmake,
                debhelper (>= 9.20120417),
+               libboost-dev,
                libboost-program-options-dev,
-               libpoppler-qt4-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://github.com/dannyedel/dspdfviewer.git
-Vcs-Browser: https://github.com/dannyedel/dspdfviewer
+               libboost-test-dev,
+               libpoppler-qt5-dev,
+               pkg-config,
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
+               xauth,
+               xvfb
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dspdfviewer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dspdfviewer.git
 Homepage: http://dspdfviewer.danny-edel.de
 
 Package: dspdfviewer
@@ -34,14 +42,3 @@
  Also, on the second screen, you get page thumbnails and status
  information, like the time since you started the presentation
  and a "wall clock".
-
-Package: dspdfviewer-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: dspdfviewer (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for dspdfviewer
- dspdfviewer if a specialized PDF viewer for latex-beamer
- presentations using the "shot notes on second screen" feature.
- .
- This package contains the debugging symbols for dspdfviewer.
