=== debian/rules ===
#!/usr/bin/make -f

# Enable build hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk


# provide debian version number to the build system
#
# Rationale: dspdfviewer --version embeds the information that this
# is from the debian package. This is useful when users go
# directly to the github-issue-tracker instead of using reportbug.

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDSPDFVIEWER_VERSION=$(shell dpkg-parsechangelog --show-field Version) \
		-DUsePrerenderedPDF=ON

# Run tests inside xvfb, like upstream does in _travis/test script.
override_dh_auto_test:
	xvfb-run -a -s '-screen 0 1920x1080x24 -screen 1 1920x1200x24' \
		dh_auto_test

%:
	dh $@ --parallel
