=== debian/changelog ===
dspdfviewer (1.15.1-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:04 +0000

dspdfviewer (1.15.1-1) unstable; urgency=medium

  * New upstream point release
    * Fixes issue with recent Qt5 where mousewheel would advance
      two slides insted of one

 -- Danny Edel <debian@danny-edel.de>  Thu, 15 Sep 2016 07:43:12 +0200

dspdfviewer (1.15-2) unstable; urgency=medium

  * add patch: fix FTBFS with plus in version number
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Danny Edel <debian@danny-edel.de>  Sat, 06 Aug 2016 09:00:20 +0200
