=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/v(.+).tar.gz/releases\/download\/v$1\/dspdfviewer-$1.tar.gz.asc/,\
  https://github.com/dannyedel/dspdfviewer/releases \
    /dannyedel/dspdfviewer/archive/v(.+).tar.gz
