## dspdfviewer 1.15.1%2Bgit20230427.d432d8d

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Danny Edel <debian@danny-edel.de>
 Build-Depends: cmake,
-               debhelper (>= 9.20120417),
+               debhelper-compat (= 13),
                libboost-dev,
                libboost-program-options-dev,
                libboost-test-dev,
                libpoppler-qt5-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dspdfviewer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dspdfviewer.git
-Homepage: http://dspdfviewer.danny-edel.de
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/dspdfviewer.git
+Vcs-Browser: https://salsa.debian.org/debian/dspdfviewer
+Homepage: https://dspdfviewer.danny-edel.de
+Rules-Requires-Root: no
 
 Package: dspdfviewer
 Architecture: any
