## dspdfviewer 1.15.1+git20230427.d432d8d

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,15 @@
 #     with this program; if not, write to the Free Software Foundation, Inc.,
 #     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 # */
-cmake_minimum_required(VERSION 2.8.4 FATAL_ERROR)
-if( NOT CMAKE_VERSION VERSION_LESS 2.8.11)
-	cmake_policy(SET CMP0020 NEW) # qtmain.lib linkage on windows
-endif()
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 if( NOT CMAKE_VERSION VERSION_LESS 3.1)
 	cmake_policy(SET CMP0054 NEW) # dont expand quoted strings in if()s
+endif()
+if( NOT CMAKE_VERSION VERSION_LESS 3.10)
+	cmake_policy(SET CMP0071 NEW) # Also process generated source files with MOC
+endif()
+if( NOT CMAKE_VERSION VERSION_LESS 3.17)
+	cmake_policy(SET CMP0100 NEW) # Allow .hh extension
 endif()
 
 project(dspdfviewer)
@@ -32,7 +35,6 @@
 set(CMAKE_INCLUDE_CURRENT_DIR OFF)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
-option(UseQtFive "Build with Qt5 and libpoppler-qt5" ON)
 option(UpdateTranslations "Do you want to update the .ts files (WARNING: running make clean will delete them!)" OFF)
 option(BuildTests "Build unit tests (this requires pdflatex or internet access and DownloadTestPDFs=ON)" ON)
 option(RunDualScreenTests "Also run tests that require two screens to be connected" ON)
@@ -41,6 +43,7 @@
 option(WindowsStaticLink "Windows/MSVC only: Link statically against the dependencies and set /MT instead of /MD" ON)
 option(UsePrerenderedPDF "Use prerendered PDFs included in the source for testing, instead of building with pdflatex" OFF)
 option(CodeCoverage "Add coverage analysis code to the program. Will slow it down. A lot. Only supported on GCC right now." OFF)
+option(WarningAsError "Turn on -Werror and similar compiler settings.  This can be useful during development, but is disabled by default for release build scripts." OFF)
 
 include(cmake/platforms.cmake)
 include(cmake/filelists.cmake)
@@ -94,7 +97,7 @@
 install(TARGETS	dspdfviewer
 	RUNTIME DESTINATION bin)
 
-install(FILES docs/dspdfviewer.1
+install(FILES dspdfviewer.1
 	DESTINATION share/man/man1)
 
 install(FILES dspdfviewer.desktop
