=== testing/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Test driver library for convenience linking.
 add_library(testhelp
-	testhelpers
+	testhelpers.cc
 )
 # Link this helper library to dspdfviewer's functions
 target_link_libraries(testhelp
@@ -118,27 +118,25 @@
 )
 
 # Only build and run the swap screen test on Qt5
-if(UseQtFive)
-	add_executable(testswapscreen
-		testswapscreen.cc
-		testswapscreen-main.cc
+add_executable(testswapscreen
+	testswapscreen.cc
+	testswapscreen-main.cc
+)
+target_link_libraries(testswapscreen
+	testhelp
+)
+
+if(RunDualScreenTests)
+	add_test(NAME testswapscreen
+		COMMAND testswapscreen
+			--prerender-prev=0
+			--prerender-next=0
+			images.pdf
 	)
-	target_link_libraries(testswapscreen
-		testhelp
+	set_tests_properties(testswapscreen
+		PROPERTIES
+			SKIP_RETURN_CODE 77
 	)
-
-	if(RunDualScreenTests)
-		add_test(NAME testswapscreen
-			COMMAND testswapscreen
-				--prerender-prev=0
-				--prerender-next=0
-				images.pdf
-		)
-		set_tests_properties(testswapscreen
-			PROPERTIES
-				SKIP_RETURN_CODE 77
-		)
-	endif()
 endif()
