=== debian/changelog ===
dspdfviewer (1.15.1+git20230427.d432d8d-2) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1112858
  * Suggests: s/latex-beamer/texlive-base/
    Closes: #1118990
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Do not parse d/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 07:52:32 +0100

dspdfviewer (1.15.1+git20230427.d432d8d-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Point watch file to latest Git commit
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.

 -- Andreas Tille <tille@debian.org>  Tue, 24 Dec 2024 21:21:55 +0100
