=== debian/control ===
--- 
+++ 
@@ -1,29 +1,33 @@
 Source: dspdfviewer
+Standards-Version: 4.7.2
+Maintainer: Danny Edel <debian@danny-edel.de>
 Section: text
 Priority: optional
-Maintainer: Danny Edel <debian@danny-edel.de>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libboost-dev,
-               libboost-program-options-dev,
-               libboost-test-dev,
-               libpoppler-qt5-dev,
-               pkgconf,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-               xauth,
-               xvfb
-Standards-Version: 4.7.0
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libboost-dev,
+ libboost-program-options-dev,
+ libboost-test-dev,
+ libpoppler-qt5-dev,
+ pkgconf,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ xauth,
+ xvfb,
+Vcs-Browser: https://salsa.debian.org/debian/dspdfviewer
 Vcs-Git: https://salsa.debian.org/debian/dspdfviewer.git
-Vcs-Browser: https://salsa.debian.org/debian/dspdfviewer
 Homepage: https://dspdfviewer.danny-edel.de
 Rules-Requires-Root: no
 
 Package: dspdfviewer
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: latex-beamer
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ texlive-base,
 Description: Dual-Screen PDF Viewer for LaTeX-beamer
  This is a specialized PDF Viewing application custom-made for
  the LaTeX class beamer, specifically the
