=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
-
+include /usr/share/dpkg/default.mk
 
 # provide debian version number to the build system
 #
@@ -14,8 +14,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DDSPDFVIEWER_VERSION=$(shell dpkg-parsechangelog --show-field Version) \
-		-DUsePrerenderedPDF=ON
+		-DDSPDFVIEWER_VERSION=$(DEB_VERSION_UPSTREAM_REVISION) \
+		-DUsePrerenderedPDF=ON \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 # Run tests inside xvfb, like upstream does in _travis/test script.
 override_dh_auto_test:
@@ -23,4 +24,4 @@
 		dh_auto_test
 
 %:
-	dh $@ --parallel
+	dh $@
