=== debian/watch ===
Version: 5

Source: https://github.com/dannyedel/dspdfviewer.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.15.1+git%cd.%h


# opts="pgpsigurlmangle=s/archive\/v(.+).tar.gz/releases\/download\/v$1\/dspdfviewer-$1.tar.gz.asc/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/dannyedel/dspdfviewer/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
