## dspdfviewer 1.15.1.1+rb2

=== debian/changelog ===
dspdfviewer (1.15.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Danny Edel <debian@danny-edel.de>  Thu, 28 Jan 2021 09:48:50 +0800
